# Class MethodHandle

java.lang.Object
java.lang.invoke.MethodHandle

public abstract class MethodHandle extends Object
Deprecated.
these classes are used internally for Lambda compatibility

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodHandle()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MethodHandle`
  `asCollector(Class<?> a, int b)`
  Deprecated.
  `MethodHandle`
  `asFixedArity()`
  Deprecated.
  `MethodHandle`
  `asSpreader(Class<?> a, int b)`
  Deprecated.
  `MethodHandle`
  `asType(MethodType a)`
  Deprecated.
  `MethodHandle`
  `asVarargsCollector(Class<?> a)`
  Deprecated.
  `MethodHandle`
  `bindTo(Object a)`
  Deprecated.
  `final Object`
  `invoke(Object... a)`
  Deprecated.
  `final Object`
  `invokeExact(Object... a)`
  Deprecated.
  `Object`
  `invokeWithArguments(Object... a)`
  Deprecated.
  `Object`
  `invokeWithArguments(List<?> a)`
  Deprecated.
  `boolean`
  `isVarargsCollector()`
  Deprecated.
  `MethodType`
  `type()`
  Deprecated.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### MethodHandle

    public MethodHandle()
    Deprecated.

- ## Method Details

  - ### type

    public MethodType type()
    Deprecated.

  - ### invokeExact

    public final Object invokeExact(Object... a) throws Throwable
    Deprecated.
    Throws:
      `Throwable`

  - ### invoke

    public final Object invoke(Object... a) throws Throwable
    Deprecated.
    Throws:
      `Throwable`

  - ### invokeWithArguments

    public Object invokeWithArguments(Object... a) throws Throwable
    Deprecated.
    Throws:
      `Throwable`

  - ### invokeWithArguments

    public Object invokeWithArguments(List<?> a) throws Throwable
    Deprecated.
    Throws:
      `Throwable`

  - ### asType

    public MethodHandle asType(MethodType a)
    Deprecated.

  - ### asSpreader

    public MethodHandle asSpreader(Class<?> a, int b)
    Deprecated.

  - ### asCollector

    public MethodHandle asCollector(Class<?> a, int b)
    Deprecated.

  - ### asVarargsCollector

    public MethodHandle asVarargsCollector(Class<?> a)
    Deprecated.

  - ### isVarargsCollector

    public boolean isVarargsCollector()
    Deprecated.

  - ### asFixedArity

    public MethodHandle asFixedArity()
    Deprecated.

  - ### bindTo

    public MethodHandle bindTo(Object a)
    Deprecated.